Bug 1868471 - MachineConfigPool table and details pages should show whether the MCP is paused
Summary: MachineConfigPool table and details pages should show whether the MCP is paused
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.6.0
Assignee: Joe Caiani
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-12 18:55 UTC by Samuel Padgett
Modified: 2020-10-27 16:28 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Version: 4.6.0-0.nightly-2020-07-31-225620 Cluster ID: 6921fb5d-d338-4556-9863-e05b9f27965c Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.15; rv:80.0) Gecko/20100101 Firefox/80.0
Last Closed: 2020-10-27 16:28:06 UTC
Target Upstream Version:


Attachments (Terms of Use)
MachineConfigPool Paused is True (282.77 KB, image/png)
2020-08-26 09:32 UTC, Yadan Pei
no flags Details
MachineConfigPools List view has Paused status (126.07 KB, image/png)
2020-08-26 09:33 UTC, Yadan Pei
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 6322 0 None closed Bug 1868471: Add paused state to MachineConfigPool list view 2021-01-25 12:31:51 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:28:24 UTC

Description Samuel Padgett 2020-08-12 18:55:47 UTC
The MachineConfigPool list shows the various conditions, but it does not show whether the MachineConfigPool is paused (spec.paused). This is important info we should surface in the UI.

Comment 1 Samuel Padgett 2020-08-12 18:56:44 UTC
We should consider improving the column widths in the table while on this page. Currently they're all equal width. Name and Configurations should be wider.

Comment 6 Yadan Pei 2020-08-26 09:32:52 UTC
Created attachment 1712657 [details]
MachineConfigPool Paused is True

Comment 7 Yadan Pei 2020-08-26 09:33:30 UTC
Created attachment 1712658 [details]
MachineConfigPools List view has Paused status

Comment 8 Yadan Pei 2020-08-26 09:34:20 UTC
based on the screenshot in comment 6 and comment 7, now Machine Config Pool paused status is shown in the list page and details page.

Verified on 4.6.0-0.nightly-2020-08-25-204643

Comment 10 errata-xmlrpc 2020-10-27 16:28:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.